-1

I have a few SD cards that work fine on the Raspberry pi 3.. its the new raspbian stretch.

Whenever I transfer it to the raspberry pi zero W. I get segmentation fault when trying to run various programs.

  • are you certain that the RPi3 and RPi Zero are interchangeable? – jsotola Mar 28 '18 at 1:51
  • An example of "various programs" together with the exact error message would help. – Dmitry Grigoryev Mar 28 '18 at 7:58
  • @jsotola 3b+ is 64 bit, Zero 32 bit. Any distro that has anything specific for the 3b+, has no chance of running or the Zero. – Gerard H. Pille Mar 28 '18 at 12:09
  • Please be more specific. – Ghanima Mar 31 '18 at 10:09
1

You might be able to track the cause by using strace on both systems and compare the results. E.g. strace -f ./mybinary. This gives a lot of output, which you might want to redirect to a file, as well as to stdout: strace -f ./mybinary 2>&1 | tee /tmp/strace.txt.

Mostly it can be helpful to grep on open to find the files that might cause the problem (grep open /tmp/strace.txt).

If strace is not on your system yet, install it via sudo apt install strace.

| improve this answer | |

Not the answer you're looking for? Browse other questions tagged or ask your own question.